%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate regex

Name:           rust-regex
Version:        1.10.5
Release:    2%{?dist}
Summary:        Implementation of regular expressions for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/regex
Source0:         %{crates_source}
BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An implementation of regular expressions for Rust. This implementation
uses finite automata and guarantees linear time matching on all inputs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/UNICODE.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pattern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pattern-devel %{_description}

This package contains library source intended for building other packages which
use the "pattern" feature of the "%{crate}" crate.

%files       -n %{name}+pattern-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-devel %{_description}

This package contains library source intended for building other packages which
use the "perf" feature of the "%{crate}" crate.

%files       -n %{name}+perf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-backtrack-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-backtrack-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-backtrack" feature of the "%{crate}" crate.

%files       -n %{name}+perf-backtrack-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-cache-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-cache-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-cache" feature of the "%{crate}" crate.

%files       -n %{name}+perf-cache-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-dfa-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-dfa-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-dfa" feature of the "%{crate}" crate.

%files       -n %{name}+perf-dfa-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-dfa-full-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-dfa-full-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-dfa-full" feature of the "%{crate}" crate.

%files       -n %{name}+perf-dfa-full-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-inline-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-inline-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-inline" feature of the "%{crate}" crate.

%files       -n %{name}+perf-inline-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-literal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-literal-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-literal" feature of the "%{crate}" crate.

%files       -n %{name}+perf-literal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+perf-onepass-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+perf-onepass-devel %{_description}

This package contains library source intended for building other packages which
use the "perf-onepass" feature of the "%{crate}" crate.

%files       -n %{name}+perf-onepass-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-age-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-age-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-age" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-age-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-bool-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-bool-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-bool" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-bool-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-case-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-case-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-case" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-case-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-gencat-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-gencat-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-gencat" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-gencat-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-perl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-perl-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-perl" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-perl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-script-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-script-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-script" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-script-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-segment-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-segment-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-segment" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-segment-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use_std-devel %{_description}

This package contains library source intended for building other packages which
use the "use_std" feature of the "%{crate}" crate.

%files       -n %{name}+use_std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.10.5-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.5-1
- initial build
